IPlanetWebContainer (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.web.iplanet.IPlanetWebContainer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.web.iplanet
Interface IPlanetWebContainer

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, SoftwareContainer, WebContainer

    public interface IPlanetWebContainer

extends WebContainer

Represents the IPlanet Web Container environment inside an IPlanet Server.

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.SoftwareContainer
`RUNNING, STOPPED`

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`IPlanetJVMSettings` | `getJvmSettings()`
`IPlanetSSLSettings` | `getSslSettings()`
`boolean` | `hasJvmSettings()`
`boolean` | `hasSslSettings()`
`void` | `setJvmSettings(IPlanetJVMSettings jvmSet)`
`void` | `setSslSettings(IPlanetSSLSettings sslSet)`

Methods inherited from interface com.collation.platform.model.topology.app.web.WebContainer
`getDirectives, getServerRoot, getUser, getVirtualHosts, hasDirectives, hasServerRoot, hasUser, hasVirtualHosts, setDirectives, setServerRoot, setUser, setVirtualHosts`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareContainer
`getBindAddresses, getName, getParent, getStatus, hasBindAddresses, hasName, hasParent, hasStatus, setBindAddresses, setName, setParent, setStatus`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getJvmSettings

    IPlanetJVMSettings getJvmSettings()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### setJvmSettings

    void setJvmSettings(IPlanetJVMSettings jvmSet)

### hasJvmSettings

    boolean hasJvmSettings()

### getSslSettings

    IPlanetSSLSettings getSslSettings()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="false"
  Containment Relationship:
    true

### setSslSettings

    void setSslSettings(IPlanetSSLSettings sslSet)

### hasSslSettings

    boolean hasSslSettings()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD